> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Notification



## OpenAPI

````yaml https://api.truestate.io/openapi.json patch /governance-notifications/{notification_id}/accept/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /governance-notifications/{notification_id}/accept/:
    patch:
      tags:
        - governance-notifications
      summary: Accept Notification
      operationId: >-
        accept_notification_governance_notifications__notification_id__accept__patch
      parameters:
        - name: notification_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Notification Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/GovernanceNotificationAction'
                - type: 'null'
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GovernanceNotificationRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GovernanceNotificationAction:
      properties:
        notes:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Notes
      type: object
      title: GovernanceNotificationAction
    GovernanceNotificationRead:
      properties:
        category:
          $ref: '#/components/schemas/GovernanceNotificationCategory'
        source_type:
          $ref: '#/components/schemas/GovernanceNotificationSourceType'
        source_id:
          type: string
          maxLength: 255
          minLength: 1
          title: Source Id
        title:
          type: string
          maxLength: 255
          minLength: 1
          title: Title
        review_context:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Review Context
        summary:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Summary
        severity:
          $ref: '#/components/schemas/GovernanceNotificationSeverity'
          default: medium
        status:
          $ref: '#/components/schemas/GovernanceNotificationStatus'
          default: unread
        target_path:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Target Path
        fingerprint:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Fingerprint
        id:
          type: string
          format: uuid
          title: Id
        organisation_id:
          type: string
          title: Organisation Id
        created_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By Member Id
        read_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Read By Member Id
        dismissed_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Dismissed By Member Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        read_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Read At
        dismissed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dismissed At
      type: object
      required:
        - category
        - source_type
        - source_id
        - title
        - id
        - organisation_id
        - created_at
        - updated_at
      title: GovernanceNotificationRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GovernanceNotificationCategory:
      type: string
      enum:
        - feature
        - ontology
        - strategy
        - use_case
        - reconciliation
        - billing
      title: GovernanceNotificationCategory
    GovernanceNotificationSourceType:
      type: string
      enum:
        - reconciliation_finding
        - strategy_artifact
        - feature_memory
        - ontology_memory
        - spend_cap
        - pipeline_schedule
      title: GovernanceNotificationSourceType
    GovernanceNotificationSeverity:
      type: string
      enum:
        - info
        - low
        - medium
        - high
        - critical
      title: GovernanceNotificationSeverity
    GovernanceNotificationStatus:
      type: string
      enum:
        - unread
        - read
        - dismissed
      title: GovernanceNotificationStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````